"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebhookIdentityType = exports.DemoContactType = exports.CrmAttachmentAttachmentType = exports.AttachmentType = exports.onAttachmentDeleted = exports.onAttachmentCreated = exports.getAttachment = exports.deleteAttachment = exports.listAttachments = exports.generateAttachmentUploadUrl = exports.__metadata = void 0;
const rename_all_nested_keys_1 = require("@wix/sdk-runtime/rename-all-nested-keys");
const document_1 = require("@wix/sdk-runtime/transformations/document");
const image_1 = require("@wix/sdk-runtime/transformations/image");
const timestamp_1 = require("@wix/sdk-runtime/transformations/timestamp");
const transform_paths_1 = require("@wix/sdk-runtime/transformations/transform-paths");
const sdk_types_1 = require("@wix/sdk-types");
const contacts_v4_attachment_attachments_universal_js_1 = require("./contacts-v4-attachment-attachments.universal.js");
exports.__metadata = { PACKAGE_NAME: '@wix/crm' };
function generateAttachmentUploadUrl(httpClient) {
    return (contactId, fileName, options) => (0, contacts_v4_attachment_attachments_universal_js_1.generateAttachmentUploadUrl)(contactId, fileName, options, 
    // @ts-ignore
    { httpClient });
}
exports.generateAttachmentUploadUrl = generateAttachmentUploadUrl;
function listAttachments(httpClient) {
    return (contactId, options) => (0, contacts_v4_attachment_attachments_universal_js_1.listAttachments)(contactId, options, 
    // @ts-ignore
    { httpClient });
}
exports.listAttachments = listAttachments;
function deleteAttachment(httpClient) {
    return (identifiers) => (0, contacts_v4_attachment_attachments_universal_js_1.deleteAttachment)(identifiers, 
    // @ts-ignore
    { httpClient });
}
exports.deleteAttachment = deleteAttachment;
function getAttachment(httpClient) {
    return (identifiers) => (0, contacts_v4_attachment_attachments_universal_js_1.getAttachment)(identifiers, 
    // @ts-ignore
    { httpClient });
}
exports.getAttachment = getAttachment;
exports.onAttachmentCreated = (0, sdk_types_1.EventDefinition)('wix.contacts.v4.attachment_created', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [{ path: 'entity.image' }, { path: 'entity.previewImage' }],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [{ path: 'entity.document' }],
    },
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
exports.onAttachmentDeleted = (0, sdk_types_1.EventDefinition)('wix.contacts.v4.attachment_deleted', true, (event) => (0, rename_all_nested_keys_1.renameKeysFromRESTResponseToSDKResponse)((0, transform_paths_1.transformPaths)(event, [
    {
        transformFn: image_1.transformRESTImageToSDKImage,
        paths: [
            { path: 'undefined.image' },
            { path: 'undefined.previewImage' },
        ],
    },
    {
        transformFn: document_1.transformRESTDocumentToSDKDocument,
        paths: [{ path: 'undefined.document' }],
    },
    {
        transformFn: timestamp_1.transformRESTTimestampToSDKTimestamp,
        paths: [{ path: 'metadata.eventTime' }],
    },
])))();
var contacts_v4_attachment_attachments_universal_js_2 = require("./contacts-v4-attachment-attachments.universal.js");
Object.defineProperty(exports, "AttachmentType", { enumerable: true, get: function () { return contacts_v4_attachment_attachments_universal_js_2.AttachmentType; } });
Object.defineProperty(exports, "CrmAttachmentAttachmentType", { enumerable: true, get: function () { return contacts_v4_attachment_attachments_universal_js_2.CrmAttachmentAttachmentType; } });
Object.defineProperty(exports, "DemoContactType", { enumerable: true, get: function () { return contacts_v4_attachment_attachments_universal_js_2.DemoContactType; } });
Object.defineProperty(exports, "WebhookIdentityType", { enumerable: true, get: function () { return contacts_v4_attachment_attachments_universal_js_2.WebhookIdentityType; } });
//# sourceMappingURL=contacts-v4-attachment-attachments.public.js.map