import { RequestOptionsFactory } from '@wix/sdk-types';
/**
 * Generates an upload URL for uploading a file as an attachment to a specified contact.
 *
 * To learn how to use the generated upload URL in the response to upload an attachment file,
 * see the Upload API ([SDK](https://dev.wix.com/docs/sdk/backend-modules/media/files/upload-api) | [REST](https://dev.wix.com/docs/rest/assets/media/media-manager/files/upload-api)).
 */
export declare function generateAttachmentUploadUrl(payload: object): RequestOptionsFactory<any>;
/** Retrieves a list of attachments associated with a specified contact. */
export declare function listAttachments(payload: object): RequestOptionsFactory<any>;
/** Deletes the specified attachment from the specified contact. */
export declare function deleteAttachment(payload: object): RequestOptionsFactory<any>;
/** Retrieves the specified attachment for the specified contact. */
export declare function getAttachment(payload: object): RequestOptionsFactory<any>;
