import { generateAttachmentUploadUrl as publicGenerateAttachmentUploadUrl, listAttachments as publicListAttachments, deleteAttachment as publicDeleteAttachment, getAttachment as publicGetAttachment } from './contacts-v4-attachment-attachments.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onAttachmentCreated as publicOnAttachmentCreated } from './contacts-v4-attachment-attachments.public.js';
import { onAttachmentDeleted as publicOnAttachmentDeleted } from './contacts-v4-attachment-attachments.public.js';
export declare const generateAttachmentUploadUrl: MaybeContext<BuildRESTFunction<typeof publicGenerateAttachmentUploadUrl> & typeof publicGenerateAttachmentUploadUrl>;
export declare const listAttachments: MaybeContext<BuildRESTFunction<typeof publicListAttachments> & typeof publicListAttachments>;
export declare const deleteAttachment: MaybeContext<BuildRESTFunction<typeof publicDeleteAttachment> & typeof publicDeleteAttachment>;
export declare const getAttachment: MaybeContext<BuildRESTFunction<typeof publicGetAttachment> & typeof publicGetAttachment>;
/** */
export declare const onAttachmentCreated: ReturnType<typeof createEventModule<typeof publicOnAttachmentCreated>>;
/** */
export declare const onAttachmentDeleted: ReturnType<typeof createEventModule<typeof publicOnAttachmentDeleted>>;
export { AttachmentType, CrmAttachmentAttachmentType, DemoContactType, WebhookIdentityType, } from './contacts-v4-attachment-attachments.universal.js';
export { ContactAttachment, ContactAttachmentMediaOneOf, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, CrmAttachmentUploadedEvent, CrmAttachment, AttachmentSource, AttachmentMetadata, AttachmentMedia, AttachmentMediaMediaOneOf, CreateDemoAttachmentRequest, CreateDemoAttachmentResponse, GenerateAttachmentUploadUrlRequest, GenerateAttachmentUploadUrlResponse, ListAttachmentsRequest, Paging, ListAttachmentsResponse, PagingMetadata, DeleteAttachmentRequest, DeleteAttachmentResponse, GetAttachmentRequest, GetAttachmentResponse, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, AttachmentCreatedEnvelope, AttachmentDeletedEnvelope, GenerateAttachmentUploadUrlOptions, ListAttachmentsOptions, DeleteAttachmentIdentifiers, GetAttachmentIdentifiers, } from './contacts-v4-attachment-attachments.universal.js';
